Bug 1310899 - [RFE] It should be possible to forcibly mark packages as reason 'group'
[RFE] It should be possible to forcibly mark packages as reason 'group'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 18:02 EST by vvs
Modified: 2017-12-01 16:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-01 16:41:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvs 2016-02-22 18:02:24 EST
Description of problem:

Consider the following usage scenario. After an upgrade all packages were improperly marked which precluded dnf autoremove from working. Using dnf mark remove '*'; dnf mark install package-spec messed up dnf reasons without possible way to recover. Re-installing everything would be an overkill. Please, implement something like dnf group mark --force group-spec which would actually mark all group packages as reason 'group'. Then it would be possible to use dnf history userinstalled >somefile; dnf group mark --force group-spec; cat somefile | xargs dnf mark install to clean-up the system.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michal Luscon 2016-02-29 07:37:18 EST
I think it would be sufficient to just change the reason to group for all installed packages that belong to group A after 'group mark install A'.
Comment 2 vvs 2016-02-29 08:13:15 EST
Yes, but wouldn't that break the spec? According to the GitHub Wiki the group install has the same semantics as the group mark and removing the group should not remove packages explicitly installed earlier. That's why I proposed it to be explicitly forced by the user.
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:36:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 10:42:32 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Honza Silhan 2016-12-06 09:43:11 EST
The root issue could have been fixed but we should still fix "dnf group mark" command as it's in comment 1.
Comment 6 Jaroslav Mracek 2017-06-29 06:50:41 EDT
I created a patch that implements requested feature (https://github.com/rpm-software-management/dnf/pull/854).

Note You need to log in before you can comment on or make changes to this bug.